Last Comment Bug 5100 - need to add charset to nsFont
: need to add charset to nsFont
Status: VERIFIED WONTFIX
:
Product: Core
Classification: Components
Component: CSS Parsing and Computation (show other bugs)
: Trunk
: All Other
: P3 normal (vote)
: M9
Assigned To: Peter Linss
: Christine Hoffman
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1999-04-14 15:18 PDT by Erik van der Poel
Modified: 2005-03-17 13:34 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Erik van der Poel 1999-04-14 15:18:52 PDT
See bug 5099:

  http://bugzilla.mozilla.org/show_bug.cgi?id=5099

We also need to add the document's charset to the nsFont struct, so that the
font lookup code can use the charset as a fallback if the document has not
specified its language(s).

Again, the charset is an ASCII string, so the nsFont field can be either char*
or nsString. Use whatever is easiest.

The document's charset may not be available yet. Talk to ftang@netscape.com.
Comment 1 bobj 1999-04-14 15:59:59 PDT
Erik is dependent upon this before M7.
Comment 2 Frank Tang 1999-06-24 23:00:59 PDT
You can find out the charset by calling the nsIDocument::GetDocumentCharacterSet
to find out the charset of the document.

peterl: please response. We depond on this for accuracy and performacne on all
three platforms.
Comment 3 Peter Linss 1999-08-05 11:05:59 PDT
Adding charset to nsFont is not the right location, the charset can simply be
set in the rendering context.
Comment 4 Christine Hoffman 1999-08-05 16:20:59 PDT
Verified WONTFIX
Comment 5 bobj 1999-08-06 18:18:59 PDT
See peterl's 08/06/99 16:01 comment in bug 6451.

Note You need to log in before you can comment on or make changes to this bug.